# slurmdbd.conf
{{ ansible_managed | comment }}

# -- Athentication
AuthType=auth/munge

# -- Slurmdbd core

DbdHost={{ slurm_db_host }}
DbdPort={{ slurm_db_port }}
SlurmUser=slurm
DebugLevel=3
PidFile=/var/run/slurmdbd.pid
PluginDir=/usr/lib64/slurm

# -- External database
StorageType=accounting_storage/mysql
StorageHost={{ slurm_db_storage_host }}
StoragePort={{ slurm_db_storage_port }}
StorageLoc={{ slurm_db_storage_loc }}
StorageUser={{ slurm_db_storage_user }}
StoragePass={{ slurm_db_storage_pass }}

{% if slurm_db_config | length > 0 %}
# -- other options
{% for key, value in slurm_db_config.items() %}
{{ key }}={{ value }}
{% endfor %}
{% endif %}
